      subroutine nomf(fil,prefix,racine)
      character(*) prefix,racine
      character*1 fil(80)
      ii=index(prefix,' ')-1
      jj=index(racine,' ')-1
      !print*,'ii,jj',ii,jj,trim(prefix),trim(racine)
      do k=1,ii
         fil(k)=prefix(k:k)
      enddo
      do k=1,jj
         fil(k+ii)=racine(k:k)
      enddo
      return
      end
       subroutine nomf_v(fil,prefix,racine)
      character*1 prefix(80),racine(80),blanc,fil(80)
      blanc= ' '
      do 1 i=1,80
      if(prefix(i).eq.blanc)then
         do 2 j=1,i-1
         fil(j)=prefix(j)
 2       continue
         k=i-1
         goto 3
      endif
 1    continue
 3    continue
      do 4 i=1,80
      if(racine(i).eq.blanc) then
         do 5 j=1,i-1
c        print*,'j,k,racine(j)  ',j,k,racine(j)
         fil(k+j)=racine(j)
 5       continue
         k=k+i-1
         goto 6
      endif
 4    continue
 6    continue
      return
      end
